lineNum       = 0 -- The line number for trace(). No need to change this!

function trace(value, mark)

	if activateDebug == true then

		lineNum = lineNum + 1

		local marked       = "[!" .. lineNum .. "!] " .. tostring(value)
		local unmarked     = "[ " .. lineNum .. " ] " .. tostring(value)
		local nilPrint     = "[-" .. lineNum .. "-] " .. tostring(value)

		if value == nil then -- prevent game from crashing if given value is nil
			value    = "nil"
			marked   = nilPrint
			unmarked = nilPrint
		end

		if mark == true then
				print(marked)
			else 
				print(unmarked)
		end

	end

end

function randomNum(min,max)
	local randomNum = math.random(min,max)
	return randomNum
end