Arrow = class('Arrow', Object)

function Arrow:initialize(px, py, pdirection)
	Object.initialize(self)
	self.x = px
	self.y = py
	self.direction = pdirection

	self.speed = 250
	self.cBox = Collider:addPoint(self.x, self.y)
end

function Arrow:draw()
	love.graphics.setColor(255,0,255)
	love.graphics.rectangle("fill", self.x, self.y, 2, 8)
end

function Arrow:update(dt)
	if self.direction == "down" then
		self.y = self.y + self.speed * dt
	elseif self.direction == "up" then
		self.y = self.y - self.speed * dt
	elseif self.direction == "left" then
		self.x = self.x - self.speed * dt
	elseif self.direction == "right" then
		self.x = self.x + self.speed * dt
	end

	self.cBox:moveTo(self.x,self.y)
end