Chest = class('Chest', Object)

function Chest:initialize()

	Object.initialize(self)

	self.x = math.random(16, gWidth - 32)
	self.y = math.random(32, gHeight - 32)

	self.cBox = Collider:addRectangle(self.x, self.y, 16, 16)
	Collider:addToGroup("mapWalls", self.cBox)

end

function Chest:draw()
	love.graphics.setColor(100,100,200)
	love.graphics.rectangle("fill", self.x, self.y, 16, 16)

	if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox:draw("line")
	end
end

function Chest:refresh()
	Collider:remove(self.cBox)
	self.x = math.random(16, gWidth - 32)
	self.y = math.random(32, gHeight - 32)
	self.cBox = Collider:addRectangle(self.x, self.y, 16, 16)
	Collider:addToGroup("mapWalls", self.cBox)
end