Zombie = class('Zombie', Object)

function Zombie:initialize()
	Object.initialize(self)

	self.x = 32
	self.y = 32
	self.distX = 0
	self.distY = 0

	self.cBox = Collider:addCircle(self.x,self.y, 8)
end

function Zombie:draw( ... )
	love.graphics.setColor(102, 255 ,51)
	love.graphics.rectangle("fill", self.x -8, self.y -8, 16, 16)

	if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox:draw("line")
	end
end

function Zombie:update(dt)
	self.distX = self.x - player.x
	self.distY = self.y - player.y

	self.x = self.x - (self.distX / 2) * dt
	self.y = self.y - (self.distY / 2) * dt
	self.cBox:moveTo(self.x, self.y)
end

function Zombie:halt(mtv_x,mtv_y)
	self.cBox:move(-mtv_x,-mtv_y)
	self.x = self.x - mtv_x
	self.y = self.y - mtv_y
end