_template = class('_template', Object)

function _template:initialize()
	Object.initialize(self)

	self.id = "_template"
  
	trace("Received: " .. self.id)

	self.x = 0
	self.y = 0
	self.direction = "down"
	self.oneShot = true
	self.fireRate = 0
	self.idle = false
	self.idleTimer = 0
	self.destruct = false

	self.cBox = Collider:addRectangle(self.x,self.y, 6, 16)
	Collider:addToGroup("player", self.cBox)
	Collider:addToGroup("mapWalls", self.cBox)

end

function Sword:draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill", self.x,self.y, 6, 16)

	if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox:draw("line")
	end
end

function Sword:update(dt)
	self.cBox:moveTo(self.x,self.y)

	if self.idle == true then
		self.idleTimer = self.idleTimer + dt
		if self.idleTimer > 3 then
			self.destruct = true
			trace(self.id .. " is ready for destruction.")
		end
	end

end

function Sword:fire()
	trace("_template is a _template you fool!")
end